{
    "multipart": [
        { "when": { "facing": "north" },
          "apply": [
            { "model": "custom/pumpkin/carved" }
          ]
        },
        { "when": { "facing": "east" },
          "apply": [
            { "model": "custom/pumpkin/carved", "y": 90 }
          ]
        },
        { "when": { "facing": "south" },
          "apply": [
            { "model": "custom/pumpkin/carved", "y": 180 }
          ]
        },
        { "when": { "facing": "west" },
          "apply": [
            { "model": "custom/pumpkin/carved", "y": 270 }
          ]
        },
        { "when": { "facing": "north" },
          "apply": [
            { "model": "custom/pumpkin/designs/0" },
            { "model": "custom/pumpkin/designs/1" },
            { "model": "custom/pumpkin/designs/2" },
            { "model": "custom/pumpkin/designs/3" },
            { "model": "custom/pumpkin/designs/4" },
            { "model": "custom/pumpkin/designs/5" },
            { "model": "custom/pumpkin/designs/6" },
            { "model": "custom/pumpkin/designs/7" },
            { "model": "custom/pumpkin/designs/8" },
            { "model": "custom/pumpkin/designs/9" },
            { "model": "custom/pumpkin/designs/10" },
            { "model": "custom/pumpkin/designs/11" },
            { "model": "custom/pumpkin/designs/12" },
            { "model": "custom/pumpkin/designs/13" },
            { "model": "custom/pumpkin/designs/14" },
            { "model": "custom/pumpkin/designs/15" },
            { "model": "custom/pumpkin/designs/16" },
            { "model": "custom/pumpkin/designs/17" },
            { "model": "custom/pumpkin/designs/18" },
            { "model": "custom/pumpkin/designs/19" }
          ]
        },
        { "when": { "facing": "east" },
          "apply": [
            { "model": "custom/pumpkin/designs/0", "y": 90 },
            { "model": "custom/pumpkin/designs/1", "y": 90 },
            { "model": "custom/pumpkin/designs/2", "y": 90 },
            { "model": "custom/pumpkin/designs/3", "y": 90 },
            { "model": "custom/pumpkin/designs/4", "y": 90 },
            { "model": "custom/pumpkin/designs/5", "y": 90 },
            { "model": "custom/pumpkin/designs/6", "y": 90 },
            { "model": "custom/pumpkin/designs/7", "y": 90 },
            { "model": "custom/pumpkin/designs/8", "y": 90 },
            { "model": "custom/pumpkin/designs/9", "y": 90 },
            { "model": "custom/pumpkin/designs/10", "y": 90 },
            { "model": "custom/pumpkin/designs/11", "y": 90 },
            { "model": "custom/pumpkin/designs/12", "y": 90 },
            { "model": "custom/pumpkin/designs/13", "y": 90 },
            { "model": "custom/pumpkin/designs/14", "y": 90 },
            { "model": "custom/pumpkin/designs/15", "y": 90 },
            { "model": "custom/pumpkin/designs/16", "y": 90 },
            { "model": "custom/pumpkin/designs/17", "y": 90 },
            { "model": "custom/pumpkin/designs/18", "y": 90 },
            { "model": "custom/pumpkin/designs/19", "y": 90 }
          ]
        },
        { "when": { "facing": "south" },
          "apply": [
            { "model": "custom/pumpkin/designs/0", "y": 180 },
            { "model": "custom/pumpkin/designs/1", "y": 180 },
            { "model": "custom/pumpkin/designs/2", "y": 180 },
            { "model": "custom/pumpkin/designs/3", "y": 180 },
            { "model": "custom/pumpkin/designs/4", "y": 180 },
            { "model": "custom/pumpkin/designs/5", "y": 180 },
            { "model": "custom/pumpkin/designs/6", "y": 180 },
            { "model": "custom/pumpkin/designs/7", "y": 180 },
            { "model": "custom/pumpkin/designs/8", "y": 180 },
            { "model": "custom/pumpkin/designs/9", "y": 180 },
            { "model": "custom/pumpkin/designs/10", "y": 180 },
            { "model": "custom/pumpkin/designs/11", "y": 180 },
            { "model": "custom/pumpkin/designs/12", "y": 180 },
            { "model": "custom/pumpkin/designs/13", "y": 180 },
            { "model": "custom/pumpkin/designs/14", "y": 180 },
            { "model": "custom/pumpkin/designs/15", "y": 180 },
            { "model": "custom/pumpkin/designs/16", "y": 180 },
            { "model": "custom/pumpkin/designs/17", "y": 180 },
            { "model": "custom/pumpkin/designs/18", "y": 180 },
            { "model": "custom/pumpkin/designs/19", "y": 180 }
          ]
        },
        { "when": { "facing": "west" },
          "apply": [
            { "model": "custom/pumpkin/designs/0", "y": 270 },
            { "model": "custom/pumpkin/designs/1", "y": 270 },
            { "model": "custom/pumpkin/designs/2", "y": 270 },
            { "model": "custom/pumpkin/designs/3", "y": 270 },
            { "model": "custom/pumpkin/designs/4", "y": 270 },
            { "model": "custom/pumpkin/designs/5", "y": 270 },
            { "model": "custom/pumpkin/designs/6", "y": 270 },
            { "model": "custom/pumpkin/designs/7", "y": 270 },
            { "model": "custom/pumpkin/designs/8", "y": 270 },
            { "model": "custom/pumpkin/designs/9", "y": 270 },
            { "model": "custom/pumpkin/designs/10", "y": 270 },
            { "model": "custom/pumpkin/designs/11", "y": 270 },
            { "model": "custom/pumpkin/designs/12", "y": 270 },
            { "model": "custom/pumpkin/designs/13", "y": 270 },
            { "model": "custom/pumpkin/designs/14", "y": 270 },
            { "model": "custom/pumpkin/designs/15", "y": 270 },
            { "model": "custom/pumpkin/designs/16", "y": 270 },
            { "model": "custom/pumpkin/designs/17", "y": 270 },
            { "model": "custom/pumpkin/designs/18", "y": 270 },
            { "model": "custom/pumpkin/designs/19", "y": 270 }
          ]
        },
        {
          "apply": [
            { "model": "custom/pumpkin/top" },
            { "model": "custom/pumpkin/top", "y": 90 },
            { "model": "custom/pumpkin/top", "y": 180 },
            { "model": "custom/pumpkin/top", "y": 270 }
          ]
        }
    ]
}